# Categories (Inventory)

Endpoints to create, update and read categories.

## GET /api/categories

> List categories

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read categories.","name":"Categories (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Category":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleStringConstrained"},"created":{"format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"tenantCategoryId":{"description":"unique identifier for categories used in the customer systems","maxLength":256,"minLength":2,"pattern":"^[A-Za-z0-9_-]+$","type":"string"},"version":{"type":"number"}},"required":["nameLocalized","version","created","lastModified"],"title":"Category","type":"object","description":"Category"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/categories":{"get":{"deprecated":false,"description":"","operationId":"getCategories","parameters":[{"in":"query","name":"size","required":false,"schema":{"default":25,"maximum":100,"minimum":1,"type":"number"}},{"in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/Category"},"type":"array"}}},"description":""},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"List categories","tags":["Categories (Inventory)"]}}}}
```

## POST /api/categories

> Create category

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read categories.","name":"Categories (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CategoryForCreation":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleStringConstrained"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"tenantCategoryId":{"description":"unique identifier for categories used in the customer systems","maxLength":256,"minLength":2,"pattern":"^[A-Za-z0-9_-]+$","type":"string"}},"required":["nameLocalized"],"title":"CategoryForCreation","type":"object","description":"CategoryForCreation"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"Category":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleStringConstrained"},"created":{"format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"tenantCategoryId":{"description":"unique identifier for categories used in the customer systems","maxLength":256,"minLength":2,"pattern":"^[A-Za-z0-9_-]+$","type":"string"},"version":{"type":"number"}},"required":["nameLocalized","version","created","lastModified"],"title":"Category","type":"object","description":"Category"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/categories":{"post":{"deprecated":false,"description":"","operationId":"createCategory","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryForCreation"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Category"}}},"description":""},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"Create category","tags":["Categories (Inventory)"]}}}}
```

## GET /api/categories/{categoryId}

> Get category

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read categories.","name":"Categories (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Category":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleStringConstrained"},"created":{"format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"tenantCategoryId":{"description":"unique identifier for categories used in the customer systems","maxLength":256,"minLength":2,"pattern":"^[A-Za-z0-9_-]+$","type":"string"},"version":{"type":"number"}},"required":["nameLocalized","version","created","lastModified"],"title":"Category","type":"object","description":"Category"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/categories/{categoryId}":{"get":{"deprecated":false,"description":"","operationId":"getCategory","parameters":[{"in":"path","name":"categoryId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Category"}}},"description":""},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"Get category","tags":["Categories (Inventory)"]}}}}
```

## PUT /api/categories/{categoryId}

> Replace category

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read categories.","name":"Categories (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CategoryForUpdate":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleStringConstrained"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"type":"string"},"tenantCategoryId":{"description":"unique identifier for categories used in the customer systems","maxLength":256,"minLength":2,"pattern":"^[A-Za-z0-9_-]+$","type":"string"},"version":{"type":"number"}},"required":["nameLocalized","version"],"title":"CategoryForUpdate","type":"object","description":"CategoryForUpdate"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"Category":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleStringConstrained"},"created":{"format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"tenantCategoryId":{"description":"unique identifier for categories used in the customer systems","maxLength":256,"minLength":2,"pattern":"^[A-Za-z0-9_-]+$","type":"string"},"version":{"type":"number"}},"required":["nameLocalized","version","created","lastModified"],"title":"Category","type":"object","description":"Category"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/categories/{categoryId}":{"put":{"deprecated":false,"description":"","operationId":"replaceCategory","parameters":[{"in":"path","name":"categoryId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryForUpdate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Category"}}},"description":""},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"Replace category","tags":["Categories (Inventory)"]}}}}
```

## DELETE /api/categories/{categoryId}

> Delete category

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read categories.","name":"Categories (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Category":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleStringConstrained"},"created":{"format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"tenantCategoryId":{"description":"unique identifier for categories used in the customer systems","maxLength":256,"minLength":2,"pattern":"^[A-Za-z0-9_-]+$","type":"string"},"version":{"type":"number"}},"required":["nameLocalized","version","created","lastModified"],"title":"Category","type":"object","description":"Category"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/categories/{categoryId}":{"delete":{"deprecated":false,"description":"","operationId":"deleteCategory","parameters":[{"in":"path","name":"categoryId","required":true,"schema":{"type":"string"}},{"in":"query","name":"forceDeletion","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Category"}}},"description":""},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"Delete category","tags":["Categories (Inventory)"]}}}}
```

## List categories (search)

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Search for Category

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read categories.","name":"Categories (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CategorySearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/CategorySearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/CategorySort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"CategorySearchPayload","type":"object","description":"CategorySearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"CategorySearchQuery":{"properties":{"nameLocalized":{"additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/StringFilter"},{"$ref":"#/components/schemas/KeyExistsFilter"}]},"description":"Search by nameLocalized","type":"object"},"and":{"items":{"$ref":"#/components/schemas/CategorySearchQuery"},"maxItems":500,"type":"array"},"customAttributes":{"additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/BooleanFilter"},{"$ref":"#/components/schemas/StringEqFilter"},{"$ref":"#/components/schemas/NumberEqFilter"},{"$ref":"#/components/schemas/DateFilter"}]},"description":"Search by custom attributes","type":"object"},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"name":{"allOf":[{"$ref":"#/components/schemas/LocalizedStringSearchFilter"}],"description":"Search by name"},"or":{"items":{"$ref":"#/components/schemas/CategorySearchQuery"},"maxItems":500,"type":"array"},"tenantCategoryId":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by tenantCategoryId"}},"title":"CategorySearchQuery","type":"object","description":"CategorySearchQuery"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"KeyExistsFilter":{"properties":{"exists":{"description":"Search all entities which have or do not have this key defined","type":"boolean"}},"title":"KeyExistsFilter","type":"object","description":"KeyExistsFilter"},"BooleanFilter":{"properties":{"eq":{"type":"boolean"},"notEq":{"type":"boolean"}},"title":"BooleanFilter","type":"object","description":"BooleanFilter"},"StringEqFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"}},"title":"StringEqFilter","type":"object","description":"StringEqFilter"},"NumberEqFilter":{"properties":{"eq":{"type":"number"},"gt":{"type":"number"},"gte":{"type":"number"},"lt":{"type":"number"},"lte":{"type":"number"},"notEq":{"type":"number"}},"title":"NumberEqFilter","type":"object","description":"NumberEqFilter"},"DateFilter":{"properties":{"after":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events after the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"before":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events before the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"eq":{"format":"date-time","type":"string"},"gt":{"format":"date-time","type":"string"},"gte":{"format":"date-time","type":"string"},"lt":{"format":"date-time","type":"string"},"lte":{"format":"date-time","type":"string"},"notEq":{"format":"date-time","type":"string"}},"title":"DateFilter","type":"object","description":"DateFilter"},"LocalizedStringSearchFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"like":{"description":"Search by regex pattern","maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"LocalizedStringSearchFilter","type":"object","description":"LocalizedStringSearchFilter"},"StringSearchFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"like":{"description":"Search by regex pattern","maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringSearchFilter","type":"object","description":"StringSearchFilter"},"CategorySort":{"properties":{"created":{"enum":["ASC","DESC"],"type":"string"},"customAttributes":{"additionalProperties":true,"maxProperties":1,"minProperties":1,"type":"object"},"id":{"enum":["ASC","DESC"],"type":"string"},"lastModified":{"enum":["ASC","DESC"],"type":"string"},"name":{"enum":["ASC","DESC"],"type":"string"},"tenantCategoryId":{"enum":["ASC","DESC"],"type":"string"}},"title":"CategorySort","type":"object","description":"CategorySort"},"CategoryPaginatedResult":{"properties":{"categories":{"items":{"$ref":"#/components/schemas/Category"},"type":"array"},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","categories"],"title":"CategoryPaginatedResult","type":"object","description":"CategoryPaginatedResult"},"Category":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleStringConstrained"},"created":{"format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"tenantCategoryId":{"description":"unique identifier for categories used in the customer systems","maxLength":256,"minLength":2,"pattern":"^[A-Za-z0-9_-]+$","type":"string"},"version":{"type":"number"}},"required":["nameLocalized","version","created","lastModified"],"title":"Category","type":"object","description":"Category"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/categories/search":{"post":{"deprecated":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Search for Category","operationId":"searchCategory","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategorySearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"List categories (search)","tags":["Categories (Inventory)"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/categories-inventory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
